<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
    0 => 'name_cus',
    1 => 'count_s',
	2 => 'mony_cus',
	3 =>  'id_scanner',
	4 => 'member_date'
);

$sql = "
SELECT * FROM `cus` 
where 1
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `cus` 
where 1
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_cus LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR count_s LIKE '".$requestData['search']['value']."%' ";          
	$sql.=" OR mony_cus LIKE '".$requestData['search']['value']."%' ";                  
	$sql.=" OR id_scanner LIKE '".$requestData['search']['value']."%' )";    
}


$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
    $nestedData=array(); 
	$nestedData[] = $row["name_cus"];
	$nestedData[] = $row["id_scanner"];
	$nestedData[] = $row["count_s"];
	$nestedData[] = $row["mony_cus"];
	$nestedData[] = $row["member_date"];
	$nestedData[] = "<button class='btn btn-danger' onclick='change_cus(".$row['id_cus'].")'>تعديل</button>";
	$data[] = $nestedData;
}
$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



